Bug 700141 (perl-Devel-PatchPerl) - Review Request: perl-Devel-PatchPerl - Patch perl source à la Devel::PPPort's buildperl.pl
Summary: Review Request: perl-Devel-PatchPerl - Patch perl source à la Devel::PPPort's...
Keywords:
Status: CLOSED ERRATA
Alias: perl-Devel-PatchPerl
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Devel-Pat...
Whiteboard:
Depends On:
Blocks: 700047
TreeView+ depends on / blocked
 
Reported: 2011-04-27 15:08 UTC by Iain Arnell
Modified: 2011-05-25 16:08 UTC (History)
3 users (show)

Fixed In Version: perl-Devel-PatchPerl-0.30-1.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-06 02:49:37 UTC
Type: ---
mario.blaettermann: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-04-27 15:08:50 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Devel-PatchPerl.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Devel-PatchPerl-0.30-1.fc16.src.rpm

Description:
Devel::PatchPerl is a modularisation of the patching code contained in
Devel::PPPort's buildperl.pl.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3029935

*rt-0.10_01

Comment 1 Mario Blättermann 2011-04-27 21:31:29 UTC
$ rpmlint -v *
perl-Devel-PatchPerl.noarch: I: checking
perl-Devel-PatchPerl.noarch: W: spelling-error Summary(en_US) à -> e, s, i
perl-Devel-PatchPerl.noarch: W: spelling-error Summary(en_US) PPPort's -> Pp Port's, Pp-port's, Support's
perl-Devel-PatchPerl.noarch: W: spelling-error Summary(en_US) buildperl -> builder, buildup, building
perl-Devel-PatchPerl.noarch: W: spelling-error %description -l en_US modularisation -> modularity, modularize, modulations
perl-Devel-PatchPerl.noarch: W: spelling-error %description -l en_US PPPort's -> Pp Port's, Pp-port's, Support's
perl-Devel-PatchPerl.noarch: W: spelling-error %description -l en_US buildperl -> builder, buildup, building
perl-Devel-PatchPerl.noarch: I: checking-url http://search.cpan.org/dist/Devel-PatchPerl/ (timeout 10 seconds)
perl-Devel-PatchPerl.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Devel-PatchPerl-0.30/LICENSE
perl-Devel-PatchPerl.src: I: checking
perl-Devel-PatchPerl.src: W: spelling-error Summary(en_US) à -> e, s, i
perl-Devel-PatchPerl.src: W: spelling-error Summary(en_US) PPPort's -> Pp Port's, Pp-port's, Support's
perl-Devel-PatchPerl.src: W: spelling-error Summary(en_US) buildperl -> builder, buildup, building
perl-Devel-PatchPerl.src: W: spelling-error %description -l en_US modularisation -> modularity, modularize, modulations
perl-Devel-PatchPerl.src: W: spelling-error %description -l en_US PPPort's -> Pp Port's, Pp-port's, Support's
perl-Devel-PatchPerl.src: W: spelling-error %description -l en_US buildperl -> builder, buildup, building
perl-Devel-PatchPerl.src: I: checking-url http://search.cpan.org/dist/Devel-PatchPerl/ (timeout 10 seconds)
perl-Devel-PatchPerl.src: I: checking-url http://www.cpan.org/authors/id/B/BI/BINGOS/Devel-PatchPerl-0.30.tar.gz (timeout 10 seconds)
perl-Devel-PatchPerl.spec: I: checking-url http://www.cpan.org/authors/id/B/BI/BINGOS/Devel-PatchPerl-0.30.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 12 warnings.

Ignoreable spelling errors. Looks fine so far.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
    GPL+ or Artistic
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    457314e44f589775b6e5ba3b92a0a9ba  Devel-PatchPerl-0.30.tar.gz
    457314e44f589775b6e5ba3b92a0a9ba  Devel-PatchPerl-0.30.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 2 Iain Arnell 2011-04-28 03:15:08 UTC
New Package SCM Request
=======================
Package Name: perl-Devel-PatchPerl
Short Description: Patch perl source à la Devel::PPPort's buildperl.pl
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-04-30 18:14:11 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-05-01 07:10:27 UTC
perl-Devel-PatchPerl-0.30-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.fc14

Comment 5 Fedora Update System 2011-05-01 07:10:35 UTC
perl-Devel-PatchPerl-0.30-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.fc15

Comment 6 Fedora Update System 2011-05-01 07:10:42 UTC
perl-Devel-PatchPerl-0.30-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.fc13

Comment 7 Fedora Update System 2011-05-01 20:54:38 UTC
perl-Devel-PatchPerl-0.30-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 8 Iain Arnell 2011-05-03 09:17:53 UTC
Package Change Request
======================
Package Name: perl-Devel-PatchPerl
New Branches: el5 el6
Owners: iarnell
InitialCC: perl-sig

Comment 9 Jason Tibbitts 2011-05-05 18:39:30 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-05-06 02:49:32 UTC
perl-Devel-PatchPerl-0.30-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-05-06 04:52:35 UTC
perl-Devel-PatchPerl-0.30-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.el6

Comment 12 Fedora Update System 2011-05-06 04:52:43 UTC
perl-Devel-PatchPerl-0.30-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.el5.1

Comment 13 Fedora Update System 2011-05-09 16:38:02 UTC
perl-Devel-PatchPerl-0.30-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Devel-PatchPerl-0.30-1.el6.1

Comment 14 Fedora Update System 2011-05-09 20:53:58 UTC
perl-Devel-PatchPerl-0.30-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-05-09 20:57:01 UTC
perl-Devel-PatchPerl-0.30-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 16 Fedora Update System 2011-05-25 16:05:44 UTC
perl-Devel-PatchPerl-0.30-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2011-05-25 16:08:07 UTC
perl-Devel-PatchPerl-0.30-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.